Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.item
Class FAttr

    java.lang.Object
      org.basex.query.xquery.expr.Expr
          org.basex.query.xquery.item.Item
              org.basex.query.xquery.item.Node
                  org.basex.query.xquery.item.FNode
                      org.basex.query.xquery.item.FAttr

    public final class FAttr

extends FNode

Attribute Node.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.xquery.expr.Expr
`type`

Constructor Summary
`FAttr(QNm n, byte[] v, Node p)` Constructor.

Method Summary
`FAttr` | `copy()` Creates a new copy (clone) of the node.
`byte[]` | `name()` Returns the node name.
`QNm` | `qname()` Returns the node name.
`static void` | `serialize(PrintOutput out, byte[] name, byte[] val)` Serializes the specified attribute value.
`void` | `serialize(PrintOutput out, XQContext ctx, int level)` Serializes the item.
`void` | `serialize(ResultReader rr, XQContext ctx, int level)` Serializes the item.
`byte[]` | `str()` Returns an atomized string.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.item.FNode
`anc, ancOrSelf, attr, child, desc, descOrSelf, foll, follSibl, par, prec, precSibl, self`

Methods inherited from class org.basex.query.xquery.item.Node
`base, bool, dbl, diff, diff, eq, finish, flt, is, itr, node, ns, parent, parent, u`

Methods inherited from class org.basex.query.xquery.item.Item
`castErr, comp, eval, i, info, iter, size`

Methods inherited from class org.basex.query.xquery.expr.Expr
`cls, d, e, n, s`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FAttr

    public FAttr(QNm n,
                 byte[] v,
                 Node p)

  Constructor.

  Parameters:
    `n` - name
    `v` - value
    `p` - parent

Method Detail

### copy

    public FAttr copy()

  Description copied from class: `Node`
  Creates a new copy (clone) of the node.

  Specified by:
    `copy` in class `Node`
  Returns:
    new copy

### name

    public byte[] name()

  Description copied from class: `Node`
  Returns the node name.

  Overrides:
    `name` in class `Node`
  Returns:
    name

### qname

    public QNm qname()

  Description copied from class: `Node`
  Returns the node name.

  Overrides:
    `qname` in class `Node`
  Returns:
    name

### serialize

    public static void serialize(PrintOutput out,
                                 byte[] name,
                                 byte[] val)
                          throws java.io.IOException

  Serializes the specified attribute value.

  Parameters:
    `out` - output stream
    `name` - attribute name
    `val` - attribute value
  Throws:
    `java.io.IOException` - I/O exception

### serialize

    public void serialize(PrintOutput out,
                          XQContext ctx,
                          int level)
                   throws java.io.IOException

  Description copied from class: `Item`
  Serializes the item.

  Overrides:
    `serialize` in class `Item`
  Parameters:
    `out` - output stream
    `ctx` - query context
    `level` - current level
  Throws:
    `java.io.IOException` - I/O exception

### serialize

    public void serialize(ResultReader rr,
                          XQContext ctx,
                          int level)
                   throws org.xml.sax.SAXException

  Description copied from class: `Item`
  Serializes the item.

  Overrides:
    `serialize` in class `Item`
  Parameters:
    `rr` - content handler
    `ctx` - query context
    `level` - current level
  Throws:
    `org.xml.sax.SAXException` - SAX exception

### str

    public byte[] str()

  Description copied from class: `Expr`
  Returns an atomized string.

  Overrides:
    `str` in class `Expr`
  Returns:
    string representation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Item`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD